core / Tenor

# Tenor

`data class Tenor`

Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity

### Types

TimeUnit | `enum class TimeUnit`

### Constructors

<init> | `Tenor(name: String)` Placeholder class for the Tenor datatype - which is a standardised duration of time until maturity

### Properties

name | `val name: String`

### Functions

daysToMaturity | `fun daysToMaturity(startDate: LocalDate, calendar: BusinessCalendar): Int`
toString | `fun toString(): String`